<?php
/*
  This script reads the locations CSV file and parses it into an associative
  array. 
*/

$locations = array();
$locationnames = array();
ini_set("auto_detect_line_endings", 1);
$current_row = 1;
$handle = fopen("locations.csv","r");
// get CSV data
while(($data = fgetcsv($handle,10000,","))!== false){
  $number_of_fields = count($data);
  // get header row
  if($current_row == 1){
    for($c=0; $c < $number_of_fields; $c++){
      $header_array[$c] = $data[$c];
    }
  // get data rows
  } else {
    for($c=0; $c < $number_of_fields; $c++){
      $data_array[$header_array[$c]] = $data[$c];
    }
    $locations[] = $data_array;
    // here we assemble a simple string of office name,
    // town and country to use in the autocomplete
    $locationnames[] = $data_array['Office'] . ' - ' . 
                       $data_array['town'] . ' - ' . 
                       $data_array['country'];
    }
    $current_row++;
}
fclose($handle);

// if the showlocation parameter is sent, get the current location by
// looping through all locations.
if(isset($_GET['showlocation'])){
  // filter out XSS attacks
  $location_html = filter_input(INPUT_GET, 'showlocation', 
                                FILTER_SANITIZE_SPECIAL_CHARS);
  foreach($locations as $loc){
    if($loc['Office']==$location_html){
      $current = $loc;
      break;
    } 
  }  
}

?>